4Suite™ API Documentation

# ► Module Ft.Xml.XPath.Context

The context of an XPath expression

    Copyright 2005 Fourthought, Inc. (USA).
    Detailed license and copyright information: http://4suite.org/COPYRIGHT
    Project home, documentation, distributions: http://4suite.org/

Classes: Context

## Classes

class Context

  ### Methods

  __init__(self, node, position=1, size=1, varBindings=None, processorNss=None, extModuleList=None, extFunctionMap=None)
  __repr__(self)
  addFunction(self, expandedName, function)
  clone(self)
  copy(self)
  set(self, state)

  ### Members

  currentInstruction = None
  functions = {(None, 'boolean'): <function Boolean at 0xb76e08b4>, (None, 'ceiling'): <function Ceiling at 0xb76e0a74>, (None, 'concat'): <function Concat at 0xb76d57d4>, (None, 'contains'): <function Contains at 0xb76e072c>, (None, 'count'): <function Count at 0xb76d564c>, (None, 'false'): <function False at 0xb76e095c>, (None, 'floor'): <function Floor at 0xb76e0a3c>, (None, 'id'): <function Id at 0xb76d5684>, (None, 'lang'): <function Lang at 0xb76e0994>, (None, 'last'): <function Last at 0xb76d55dc>, ...}